PostgreSQL 8.4.17 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_pfree

## Name

SPI_pfree -- free memory in the upper executor context

## Synopsis

    void SPI_pfree(void * pointer)

## Description

`SPI_pfree` frees memory previously allocated using `SPI_palloc` or `SPI_repalloc`.

This function is no longer different from plain `pfree`. It's kept just for backward compatibility of existing code.

## Arguments

`void * `pointer``

  pointer to existing storage to free

Prev | Home | Next
SPI_repalloc | Up | SPI_copytuple